
Foreman - Bug #11690

Since Upgrade to 1.9 host creating through API post fails with Fog::Compute::Vsphere::NotFound

09/04/2015 05:08 AM - Gregory Whiting

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Compute resources - VMware   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.9.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The following interface json used to work without any problems but since the upgrade fails with a fog error:

"compute_attributes": {

          "interfaces_attributes": {

            "0": {

              "network": "network-101",

              "type": "VirtualVmxnet3",

              "_delete": "" 

            }

 What must be changed so that I can post successfully to the foreman API in 1.9?

Full Stack trace:

@

| Started POST "/api/reports" for 10.128.40.163 at 2015-09-03 19:50:40 +0100

2015-09-03 19:50:40 [app] [I] Processing by Api::V2::ReportsController#create as JSON

2015-09-03 19:50:40 [app] [I]   Parameters: {"report"=>"[FILTERED]", "apiv"=>"v2"}

2015-09-03 19:50:40 [app] [I] processing report for vlp-bssupport02.host.net

2015-09-03 19:50:43 [app] [I] Imported report for vlp-bssupport02.host.net in 2.33 seconds

2015-09-03 19:50:43 [app] [I] Completed 201 Created in 2351ms (Views: 4.0ms | ActiveRecord: 0.0ms)

2015-09-03 19:51:00 [app] [W] Query instance details for vwd-buildtest2.host.net task failed with 

t

he following error: Fog::Compute::Vsphere::NotFound

 | Fog::Compute::Vsphere::NotFound: Fog::Compute::Vsphere::NotFound

 | /opt/rh/ruby193/root/usr/share/gems/gems/fog-1.32.0/lib/fog/vsphere/requests/compute/get_networ

k.rb:7

:in `get_network'

 | /usr/share/foreman/app/models/concerns/fog_extensions/vsphere/server.rb:41:in `select_nic'

 | /usr/share/foreman/app/models/concerns/orchestration/compute.rb:300:in `block in match_macs_to_

nics'

 | /usr/share/foreman/app/models/concerns/orchestration/compute.rb:299:in `each'

 | /usr/share/foreman/app/models/concerns/orchestration/compute.rb:299:in `match_macs_to_nics'

 | /usr/share/foreman/app/models/concerns/orchestration/compute.rb:127:in `block in setComputeDeta

ils'

 | /usr/share/foreman/app/models/concerns/orchestration/compute.rb:122:in `each'

 | /usr/share/foreman/app/models/concerns/orchestration/compute.rb:122:in `setComputeDetails'

 | /usr/share/foreman/app/models/concerns/orchestration.rb:152:in `execute'

 | /usr/share/foreman/app/models/concerns/orchestration.rb:97:in `block in process'

 | /usr/share/foreman/app/models/concerns/orchestration.rb:89:in `each'

 | /usr/share/foreman/app/models/concerns/orchestration.rb:89:in `process'

 | /usr/share/foreman/app/models/concerns/orchestration.rb:19:in `on_save'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:66

0:in `

_run__2945308142984418785__save__333979713699055984__callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:40
5:in `

__run_callback'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:38

5:in `

_run_save_callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81

:in `r

 un_callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/callbacks.rb:264:

in `create_or_update'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/persistence.rb:84

:in `save'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/validations.rb:50

:in `save'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/attribute_methods

/dirty.rb:22:in `save'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:2

41:in `block (2 levels) in save'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:2

95:in `block in with_transaction_returning_status'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapte

rs/abstract/database_statements.rb:192:in `transaction'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:2

08:in `transaction'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:2

93:in `with_transaction_returning_status'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:2

41:in `block in save'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:2

52:in `rollback_active_record_state!'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:2

40:in `save'

 | /usr/share/foreman/app/models/concerns/foreman/sti.rb:29:in `save_with_type'

 | /usr/share/foreman/app/controllers/api/v2/hosts_controller.rb:87:in `create'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_

render.rb:4:in `send_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:167:i

n `process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering

.rb:10:in `process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:

18:in `block in process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:57

3:in `block (5 levels) in _run__4203891246122909048__process_action__361485257947691761__callbacks

'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:21

5:in `block in _conditional_callback_around_8294'

 | /usr/share/foreman/app/controllers/api/v2/base_controller.rb:151:in `disable_json_root'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:21

4:in `_conditional_callback_around_8294'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:55

0:in `block (4 levels) in _run__4203891246122909048__process_action__361485257947691761__callbacks

'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:21

5:in `block in _conditional_callback_around_8293'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:32

6:in `around'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:31

0:in `_callback_around_3439'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:21

4:in `_conditional_callback_around_8293'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:52

7:in `block (3 levels) in _run__4203891246122909048__process_action__361485257947691761__callbacks

'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:21

5:in `block in _conditional_callback_around_8292'

 | /usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in `set_timezone'
 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:21

4:in `_conditional_callback_around_8291'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:44

8:in `block in _run__4203891246122909048__process_action__361485257947691761__callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:21

5:in `block in _conditional_callback_around_8290'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:32

6:in `around'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:31

0:in `_callback_around_13'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:21

4:in `_conditional_callback_around_8290'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:41

4:in `_run__4203891246122909048__process_action__361485257947691761__callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:40

5:in `__run_callback'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:38

5:in `_run_process_action_callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81

:in `run_callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:

17:in `process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rescue.rb

:29:in `process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumen

tation.rb:30:in `block in process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.r

b:123:in `block in instrument'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/i

nstrumenter.rb:20:in `instrument'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.r

b:123:in `instrument'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumen

tation.rb:29:in `process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/params_wr

apper.rb:207:in `process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railties/controll

er_runtime.rb:18:in `process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:121:i

n `process'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:

45:in `process'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:203:in

 `dispatch'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rack_dele

gation.rb:14:in `dispatch'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:246:in

 `block in action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set

.rb:73:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set

.rb:73:in `dispatch'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set

.rb:36:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/mapper.rb

:42:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in ca

ll'

 | /opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'

 | /opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set

.rb:600:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/extractor/recorder.rb:97

:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static

.rb:62

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:21
4:in `_conditional_callback_around_8292'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:52

6:in `block (2 levels) in _run__4203891246122909048__process_action__361485257947691761__callbacks

'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:21

5:in `block in _conditional_callback_around_8291'

 | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static

.rb:62:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/middleware/checksum_in_h

eaders.rb:27:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/best_s

tandards_support.rb:17:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/etag.rb:23:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/conditionalget.rb:35:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/head.r

b:14:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/params

_parser.rb:21:in `call'

 | /usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/flash.

rb:242:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:205:in `con

text'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:200:in `cal

l'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/cookie

s.rb:339:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/query_cache.rb:64

:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapte

rs/abstract/connection_pool.rb:473:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callba

cks.rb:28:in `block in call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:40

5:in `_run__1343056720715754485__call__333979713699055984__callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:40

5:in `__run_callback'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:38

5:in `_run_call_callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81

:in `run_callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callba

cks.rb:27:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/remote

_ip.rb:31:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/debug_

exceptions.rb:16:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/show_e

xceptions.rb:56:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:26:in `call_ap

p'

 | /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:16:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/reques

t_id.rb:22:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/methodoverride.rb:21:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/runtime.rb:17:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/cache/strategy/

local_cache.rb:72:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/lock.rb:15:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static

.rb:62:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forwa

rd'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:143:in `pass'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:155:in `inval
idate'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:71:in `call!'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:479:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application.rb:223:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in

 `method_missing'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:134:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:64:in `block in call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `each'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `call'

 | /usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extensio

n.rb:77:in `process_request'

 | /usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handl

er.rb:140:in `accept_and_process_next_request'

 | /usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handl

er.rb:108:in `main_loop'

 | /usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `b

lock (3 levels) in start_threads'

 | /opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in

 `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in

 `block in create_with_logging_context'

2015-09-03 19:51:00 [sql] [W] Rolling back due to a problem: [Query instance details for vwd-build

test2.host.net    4       failed  [#<Host::Managed id: nil, name: "vwd-buildtest2.host.net", last_

compile: nil, last_report: nil, updated_at: nil, created_at: nil, root_pass: "$1$ng3nQGhf$NAGpGXAa

kX0g.3sf1sURt/", puppet_status: 0, architecture_id: 1, operatingsystem_id: 3, environment_id: 1, p

table_id: 65, medium_id: 7, build: true, comment: nil, disk: nil, installed_at: nil, model_id: nil

, hostgroup_id: 5, owner_id: 10, owner_type: "User", enabled: true, puppet_ca_proxy_id: nil, manag

ed: true, use_image: nil, image_file: nil, uuid: "50273f3a-4a3d-dce6-d368-0b6257425a6a", compute_r

esource_id: 2, puppet_proxy_id: nil, certname: nil, image_id: nil, organization_id: nil, location_

id: nil, type: "Host::Managed", otp: nil, realm_id: nil, compute_profile_id: 6, provision_method: 

"build", grub_pass: "$1$wA4j67bt$Zime0CYtwvwi2l6U/1sZB1", discovery_rule_id: nil, chef_proxy_id: n

il>, :setComputeDetails]]

2015-09-03 19:51:00 [sql] [I] Removing Compute instance for vwd-buildtest2.host.net

2015-09-03 19:51:04 [app] [E] Unprocessable entity Host::Managed (id: new):

 |   Query instance details for vwd-buildtest2.host.net task failed with the following error: Fog:

:Compute::Vsphere::NotFound

 |

2015-09-03 19:51:04 [app] [I]   Rendered api/v2/errors/unprocessable_entity.json.rabl within api/v

2/layouts/error_layout (2.4ms)

2015-09-03 19:51:04 [app] [I] Completed 422 Unprocessable Entity in 50545ms (Views: 14.2ms | Activ

eRecord: 169.6ms)

2015-09-03 19:51:35 [app] [I]

@

History

#1 - 10/19/2015 09:34 AM - Timo Goebel

I think, you need to change this to something like this:

"interfaces_attributes" => {

            0 => {

                               :type => "Nic::Managed",

                            :managed => "1",

                            :primary => "1",

                          :provision => "1",

                          :subnet_id => 51,

                          :domain_id => 10,

                "compute_attributes" => {

                    "network" => "dvportgroup-565867",

                       "type" => "VirtualVmxnet3" 

                }

            }

        }

 Unfortunately, this seems to be broken, see: http://projects.theforeman.org/issues/11124
#2 - 06/10/2016 03:47 PM - Anonymous

what's the status here with newer Foreman versions?

#3 - 12/30/2016 09:55 AM - Anonymous

- Status changed from New to Rejected

no reaction, closing.
